Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Data Structures | Namespaces
Token.h File Reference
`#include "Attribute.h"`
`#include "AttributeSource.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::Token
| A Token is an occurrence of a term from the text of a field. It consists of a term's text, the start and end offset of the term in the text of the field and a type string. More...
class | Lucene::TokenAttributeFactory
| Creates a TokenAttributeFactory returning `Token` as instance for the basic attributes and for all other attributes calls the given delegate factory. More...

## Namespaces

namespace | Lucene

clucene.sourceforge.net